# MeshVS_TwoColors.hxx File Reference

`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`
`#include <Quantity_Color.hxx>`

## Functions

Standard_EXPORT Standard_Integer | HashCode (const MeshVS_TwoColors &theKey, const Standard_Integer theUpper)
Standard_EXPORT Standard_Boolean | IsEqual (const MeshVS_TwoColors &K1, const MeshVS_TwoColors &K2)
Standard_EXPORT Standard_Boolean | operator== (const MeshVS_TwoColors &K1, const MeshVS_TwoColors &K2)
Standard_EXPORT MeshVS_TwoColors | BindTwoColors (const Quantity_Color &, const Quantity_Color &)
Standard_EXPORT Quantity_Color | ExtractColor (MeshVS_TwoColors &, const Standard_Integer)
Standard_EXPORT void | ExtractColors (MeshVS_TwoColors &, Quantity_Color &, Quantity_Color &)

## Function Documentation

Standard_EXPORT MeshVS_TwoColors BindTwoColors | ( | const Quantity_Color & | ,
|  | const Quantity_Color & |
| ) |

Standard_EXPORT Quantity_Color ExtractColor | ( | MeshVS_TwoColors & | ,
|  | const | Standard_Integer
| ) |

Standard_EXPORT void ExtractColors | ( | MeshVS_TwoColors & | ,
|  | Quantity_Color & | ,
|  | Quantity_Color & |
| ) |

Standard_EXPORT Standard_Integer HashCode | ( | const MeshVS_TwoColors & | theKey,
|  | const Standard_Integer | theUpper
| ) |

Standard_EXPORT Standard_Boolean IsEqual | ( | const MeshVS_TwoColors & | K1,
|  | const MeshVS_TwoColors & | K2
| ) |

Standard_EXPORT Standard_Boolean operator== | ( | const MeshVS_TwoColors & | K1,
|  | const MeshVS_TwoColors & | K2
| ) |